QGIS Application - Bug report #18897
can't see layers on canvas loaded from XYZ Tiles in QGIS 3 on Mac
2018-05-02 11:36 PM - Russell Fulton

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/XYZ

Affected QGIS version:3.1(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 26729
Description

| am trying to load background map from OSM and having problems. The data source browser->XYZ Tile comes 'pre loaded' with a link
for standard OSM and this works fine.

When | try to add a new source (right click -> new connection...) and fill out the dialogue with the Tile url from OSM the item appears in the
menu but when | click on it | get a legend entry but no layer is displayed.

| have looked through the message but could not find anything relevant.

| posted a question to stackGIS https:/gis.stackexchange.com/questions/281365/trouble-using-xyz-tiles-in-qgis-3-on-mac and got one

suggestion to try changing the CRS of the canvas to match that of the background layer but that had no effect.

I have also tried Thunderforest links with api key but got the same result.

History

#1 - 2019-03-01 11:07 AM - Johannes Kroeger
- Resolution set to invalid
- Status changed from Open to Closed

This was a user error and sadly the submitter was not caring enough to mark it as solved here or at their GIS.SE question:

https://gis.stackexchange.com/questions/281365/trouble-using-xyz-tiles-in-qgis-3-on-mac

#2 - 2019-03-01 07:18 PM - Russell Fulton

Humble apologies.
